Section "DRI"
    Mode 0666
EndSection

Section "Extensions"
    Option "Composite" "Enable"
EndSection

Section "ServerLayout"
    Identifier     "Simple Layout"
    Screen      0  "ATI-Screen" 0 0
    InputDevice    "Mouse" "CorePointer"
    InputDevice    "Keyboard" "CoreKeyboard"
    InputDevice	   "TouchPad" "SendCoreEvents"
    Option	   "AIGLX" "true"
EndSection

Section "Files"
    FontPath     "/usr/share/fonts/misc/"
    FontPath     "/usr/share/fonts/Type1/"
    FontPath     "/usr/share/fonts/100dpi/"
    FontPath     "/usr/share/fonts/75dpi/"
EndSection

Section "Module"
    Load  "dbe" 
    Load  "vbe" 
    Load  "glx"
    Load  "drm"
    Load  "dri"
    Load  "extmod"
    Load  "synaptics"
EndSection

Section "InputDevice"
    Identifier  "Keyboard"
    Driver      "kbd"
	Option	    "AutoRepeat" "500 30"
	Option	    "XkbRules" "xorg"
	Option	    "XkbModel" "pc101"
	Option	    "XkbLayout" "en"
EndSection

Section "InputDevice"
    Identifier  "Mouse"
    Driver      "mouse"
    Option	    "Protocol" "Auto"	# Auto detect
    Option	    "Device" "/dev/input/mice"
    Option	    "ZAxisMapping" "4 5"	
EndSection

Section "InputDevice"
    Identifier 	"TouchPad"
    Driver	"synaptics"
    Option	"Device" "/dev/psaux"
    Option	"SendCoreEvents" "true"
    Option	"Protocol" "auto-dev"
    Option	"SHMConfig" "true"
    Option	"ZAxisMapping" "4 5"
    Option	"LeftEdge"	"1600"
    Option	"RightEdge"	"5300"
    Option	"TopEdge"	"1700"
    Option	"BottomEdge"	"4300"
    Option	"FingerLow"	"20"
    Option	"FingerHigh"	"55"
    Option	"MaxTapTime"	"180"
    Option	"MaxTapMove"	"220"
    Option	"VertScrollDelta"	"100"
    Option	"HorizScrollDelta"	"200"
#    Option	"EdgeMotionMinZ"	"30"
#    Option	"EdgeMotionMaxZ"	"65"
#    Option	"EdgeMotionMinSpeed"	"200"
#    Option	"EdgeMotionMaxSpeed"	"200"
    Option	"EdgeMotionUseAlways"	"false"
    Option	"MinSpeed"	"0.06"
    Option	"MaxSpeed"	"0.12"
    Option	"AccelFactor"	"0.001"
    Option	"UpDownScrolling"	"true"
    Option	"LeftRightScrolling"	"true"
    Option	"LockedDrags"	"true"
EndSection

Section "Monitor"
    Identifier   "ATI-LCD"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
    Identifier	"ATI-Device-radeon"
    Driver 	"ati"
    BusID	"PCI:1:5:0"
    Option	"DRI" "true"
    Option	"RenderAccel" "true"
    Option	"AccelMethod" "EXA"
    Option	"XAANoOffscreenPixmaps" "true"
EndSection

Section "Screen"
    Identifier "ATI-Screen"
    Device     "ATI-Device-radeon"
    Monitor    "ATI-LCD"
    DefaultDepth     24
    SubSection "Display"
	Viewport   0 0
	Depth     24
    EndSubSection
EndSection

